- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_AcObject Struct Reference
USB AC Data Structures

USB Audio Class Object structure. More...

`#include <csl_audioClass.h>`

## Data Fields
CSL_AcMediaStatus(* | recordAudio )(Uint16, Uint16 *, Uint16 *, void *)
| Function to Record the audio data.
CSL_AcMediaStatus(* | playAudio )(Uint16, Uint16 *, Uint16 *, void *)
| Function to Play the audio data.
CSL_AcMediaStatus(* | stopAudio )(Uint16, void *)
| Function to stop Audio playback.
CSL_AcMediaStatus(* | mediaGetPresentState )(Uint16)
| Function to know the status of Media - Present or Not.
CSL_AcMediaStatus(* | mediaInit )(Uint16)
| Function to initialize the Media.
CSL_AcMediaStatus(* | mediaEject )(Uint16)
| Function to Eject Media.
CSL_AcMediaStatus(* | mediaLockUnit )(Uint16, CSL_AcMediaLockStatus)
| Function to Lock Media.
Uint32(* | getMediaSize )(Uint16)
| Function to get the size of the media.
Uint16 * | lbaBuffer
| Data buffer pointer used to transfer data to/from Media/usb.
Uint32 | cbwDataTransferLength
| CBW transfer length.
CSL_AcLogicalUnit | lun [CSL_AC_LUN_MAX]
| Data pertaining to Logical Units Supported.
Uint16 | senseData [CSL_AC_SENSEDATA_LEN]
| Sense Data Array.
Uint16 | activityPresentFlag
| Flag to Indicate whether any Media has been Accessed.
Uint16 | csw [CSL_AC_CSWSIZE]
| Array used to store the elements of CSW.
Uint16 | readCapacity [CSL_AC_READCAP]
| Array used to store Read Capacity.
Uint16 | cbw [CSL_AC_CBWSIZE]
| Array used to store the elements of CBW.
CSL_UsbEpObj | isoInEpObj
| Iso In Endpoint Object.
CSL_UsbEpObj | isoOutEpObj
| Iso Out Endpoint Object.
Uint16 | noOfLun
| Maximum No.of Logical Units.
Uint16 | mediaState
| The State the Class is in.
Uint16 | playBackActive
| Flag to track the status of audio playback.
Uint16 | mediaInitDone
| Flag to track the init status of the media.
Uint16 | tempBuffer [4]
| Buffer to hold the temporary data.

## Detailed Description

USB Audio Class Object structure.

Holds all the components for the Audio Class Object

The documentation for this struct was generated from the following file:

- csl_audioClass.h